#
# spec file for package python-pytest-verbose-parametrize
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-verbose-parametrize
Version:        1.8.1
Release:        1.1
Summary:        More descriptive output for parametrized pytest tests
License:        MIT
URL:            https://github.com/man-group/pytest-plugins
Source:         https://files.pythonhosted.org/packages/source/p/pytest-verbose-parametrize/pytest-verbose-parametrize-%{version}.tar.gz
# https://github.com/man-group/pytest-plugins/issues/209
Patch0:         python-pytest-verbose-parametrize-no-six.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pytest-virtualenv}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
More descriptive output for parametrized pytest tests.

%prep
%autosetup -p1 -n pytest-verbose-parametrize-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest --ignore tests/integration/test_verbose_parametrize.py

%files %{python_files}
%doc CHANGES.md README.md
%license LICENSE
%{python_sitelib}/pytest_verbose_parametrize.py
%pycache_only %{python_sitelib}/__pycache__/pytest_verbose_parametrize*.pyc
%{python_sitelib}/pytest_verbose_parametrize-%{version}.dist-info

%changelog
* Tue Feb  4 2025 Dirk Müller <dmueller@suse.com>
- update to 1.8.1:
  * Add Ubuntu builds for py3.6-3.13
  * CircleCI release jobs now depend on both Ubuntu and
    Windows success.
* Mon Nov  4 2024 Daniel Garcia <daniel.garcia@suse.com>
- Remove not needed dep python-setuptools-git
* Tue Oct 22 2024 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.8.0:
  * Drop support for Python 2 and <3.6, removing compatibility code.
  * Use stdlib unittest.mock instead of mock package.
  * Removed usage of path.py and path in favour of pathlib.
- Removed patches, included upstream:
  * Iterable-collections.patch
  * pytest-fixtures-pr171-remove-mock.patch
- Refreshed python-pytest-verbose-parametrize-no-six.patch
* Thu Dec  8 2022 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/man-group/pytest-plugins/issues/209
  + python-pytest-verbose-parametrize-no-six.patch
* Thu Apr 21 2022 Ben Greiner <code@bnavigator.de>
- Add pytest-fixtures-pr171-remove-mock.patch because mock WAS
  required and is not pulled in anymore by something else
  - - gh#man-group/pytest-plugins#171
- Refresh Iterable-collections.patch for Python 2 compatibility
* Fri Mar 11 2022 Steve Kowalik <steven.kowalik@suse.com>
- Remove unneeded BuildRequires on mock.
* Mon Jan 10 2022 Matej Cepl <mcepl@suse.com>
- Add Iterable-collections.patch to avoid Python 3.10
  incompatibility (gh#man-group/pytest-plugins#197).
* Thu Aug 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip integration tests
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.0:
  * support pytest 4
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.5.1
